import { __ } from "./$";
import { AppBranchDownloadingAccessTokenIsExpired } from "./app-branch-downloading-access-token-is-expired";
import { AppBranchDownloadingAccessTokenIsInvalid } from "./app-branch-downloading-access-token-is-invalid";
import { AppBranchLicenseKeyIsBlocked } from "./app-branch-license-key-is-blocked";
import { AppBranchLicenseKeyIsInvalid } from "./app-branch-license-key-is-invalid";
import { AppBranchLicenseKeyIsRequired } from "./app-branch-license-key-is-required";
import { AppBranchPasswordIsInvalid } from "./app-branch-password-is-invalid";
import { AppBranchRootDirDoesNotHaveEnoughFreeSpaceForUpdateTask } from "./app-branch-root-dir-does-not-have-enough-free-space-for-update-task";
import { AppBranchRootDirPermissionsAreInsufficient } from "./app-branch-root-dir-permissions-are-insufficient";
import { AppBranchUpdateTaskHasBeenCancelled } from "./app-branch-update-task-has-been-cancelled";
export type AppBranchUpdateTaskErrorTypeName = (typeof AppBranchDownloadingAccessTokenIsExpired.name | typeof AppBranchDownloadingAccessTokenIsInvalid.name | typeof AppBranchLicenseKeyIsBlocked.name | typeof AppBranchLicenseKeyIsInvalid.name | typeof AppBranchLicenseKeyIsRequired.name | typeof AppBranchPasswordIsInvalid.name | typeof AppBranchRootDirDoesNotHaveEnoughFreeSpaceForUpdateTask.name | typeof AppBranchRootDirPermissionsAreInsufficient.name | typeof AppBranchUpdateTaskHasBeenCancelled.name | typeof __.FatalError.name);
//# sourceMappingURL=app-branch-update-task-error-type-name.d.ts.map